Get scenario generation progress
curl --request GET \
--url https://api.cekura.ai/test_framework/v1/scenarios/generate-progress/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cekura.ai/test_framework/v1/scenarios/generate-progress/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cekura.ai/test_framework/v1/scenarios/generate-progress/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_scenarios": 123,
"completed_scenarios": 123,
"failed_scenarios": 123,
"scenarios_list": [
{
"id": 123,
"name": "<string>",
"agent": 123,
"assistant_id": "<string>",
"personality": 123,
"personality_name": "<string>",
"tags": [
"<string>"
],
"runs": [
123
],
"metrics": [
123
],
"metric_names": [
"<string>"
],
"phone_number": "<string>",
"phone_number_queue_length": 123,
"first_message": "<string>",
"inbound_phone_number": 123,
"inbound_phone_number_data": {
"id": 123,
"number": "<string>",
"phone_number_id": "<string>"
},
"instructions": "<string>",
"simulation_description": "<string>",
"information_fields": {},
"expected_outcome_prompt": "<string>",
"scenario_language": "<string>",
"is_simulating": true,
"test_profile_data": {},
"generated_mock_tool_entries": [
{
"tool_id": 123,
"tool_name": "<string>",
"new_entry": {
"input": {},
"output": {}
}
}
]
}
]
}{
"field_name": [
"<string>"
]
}Generate Scenarios
Get Generate Evaluator Progress
Check progress of AI scenario generation
GET
/
test_framework
/
v1
/
scenarios
/
generate-progress
/
Get scenario generation progress
Authorizations
oauth2supabase_sessionapi_key
OAuth access token issued by Cekura for connected apps.
Query Parameters
UUID progress identifier returned from generate-bg endpoint
⌘I